Mail::Message::Convert::TextAutoformat(3)

NAME
Mail::Message::Convert::TextAutoformat - Reformat plain text messages

INHERITANCE
 Mail::Message::Convert::TextAutoformat
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
 use Mail::Message::Convert::TextAutoformat;
 my $af = Mail::Message::Convert::TextAutoformat->new;

 my $beautified_body = $af->autoformatBody($body);

DESCRIPTION
Play trics with plain text, for instance bodies with type "text/plain" using Damian Conway's Text::Autoformat.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

Mail::Message::Convert::TextAutoformat->new(%options)
     -Option --Defined in            --Default
      fields   Mail::Message::Convert  <see description>
      log      Mail::Reporter          'WARNINGS'
      options                          { (all, 1) }
      trace    Mail::Reporter          'WARNINGS'

    fields => NAMES|ARRAY-OF-NAMES|REGEXS
    log => LEVEL
    options => HASH-REF
        Options to pass to Text::Autoformat, when its "autoformat" method is called.

    trace => LEVEL

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->autoformatBody($body)
    Formats a single message body (a Mail::Message::Body object) into a new body object using Text::Autoformat. If the Text::Autoformat is not installed, "undef" is returned.

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->addReport($object)
    Inherited, see "Error handling" in Mail::Reporter

$obj->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
Mail::Message::Convert::TextAutoformat->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->errors()
    Inherited, see "Error handling" in Mail::Reporter

$obj->log( [$level, [$strings]] )
Mail::Message::Convert::TextAutoformat->log( [$level, [$strings]] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->logPriority($level)
Mail::Message::Convert::TextAutoformat->logPriority($level)
    Inherited, see "Error handling" in Mail::Reporter

$obj->logSettings()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

$obj->report( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->reportAll( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->trace( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->warnings()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

SEE ALSO
This module is part of Mail-Message distribution version 3.013, built on June 24, 2023. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2023 by [Mark Overmeer <markov@cpan.org>]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/